Location Retrieval

Location Retrieval API

0.4.0OAS 3.0

CAMARA Location Retrieval API. Retrieves the geographic area where a device is currently located using network-based information.

API Base URL
  • Server 1:https://api.pxg.konera.com/camara

    Production CAMARA API Gateway

Security
OAuth2ClientCredentials (oauth2)

Client Credentials OAuth Flow

Token URL: https://auth.konera.com/oauth2/token

Scopes:

  • location-retrieval.read - Retrieve device location area

Location Retrieval

Device location retrieval APIs

Retrieve device location

Retrieves the geographic area where a device is currently located. The returned area can be a circle or a polygon, depending on operator support.

post
https://api.pxg.konera.com/camara/location-retrieval/v0.4/retrieve

Headers

x-correlation-idstring

Correlation ID for request tracing

Body

application/json

LocationRetrievalRequest

phoneNumberstringrequired

MSISDN in E.164 format

Example:+919036499174

maxAgeSecondsinteger | null

Maximum acceptable age of the location information in seconds

>= 0

Example:300

Response

application/json

Location retrieved successfully

LocationRetrievalResponse

locationOne Of
required
CircleAreaobject
Show Child Parameters
assessedAtstring(date-time)required

Time when the location was assessed

Example:2026-02-05T10:30:00Z

post/location-retrieval/v0.4/retrieve

Body

{ "phoneNumber": "+14155550123", "maxAgeSeconds": 86400 }
 
application/json

LocationRetrievalRequest

object
phoneNumberstringrequired

MSISDN in E.164 format

Example:+919036499174

maxAgeSecondsinteger

Maximum acceptable age of the location information in seconds

>= 0

Example:300

Example

LocationRetrievalResponse

object
locationOne Of
required
CircleAreaobject
Show Child Parameters
assessedAtstring(date-time)required

Time when the location was assessed

Example:2026-02-05T10:30:00Z

Example